# Ansible-Devbox

This vagrant is intended to be an example to get started using Ansible to provision
your Development environment on vagrant.

## Requirements

Install vagrant and virtualbox on your machine

## Running

```
vagrant up
```

The first run might take a while

## To add a new Ansible Galaxy role

Edit ansible/requirements.yml file
it contains a few examples of different ways to fetch roles

```
vagrant provision
```

*DANGER* This will delete all of the files in the ansible/roles directory to ensure
fresh roles are downloaded

## Overriding Role variables

To override any variable in a role, usually located in
ansible/roles/<ROLENAME>/defaults/main.yml
simply add an entry with the same name to
ansible/vars/main.yml

## Port Forwarding

Add any ports you would like to forward from your local machine into the Vagrant
box in the Vagrantfile

```
# Forwarding Ports - you should add any necessary ports here
  config.vm.network "forwarded_port", guest: 2112, host: 2112
```
